Requests | Submit Quote

The Submit Quote end-point can be used to post Quotes on requests. This end-point is only available to providers.
Additionally, providers can only quote on requests they have been invited for.

Note This end-point only applies to Providers
Note Currently only Regular Air freight, NFO, OBC, Road and Ocean quotes are supported - additional freight modes will follow.

Request URI

POST https://pluto.cargobase.com/api/1/quotes
Content-Type: application/json
Authorization: Token your_token_here

Known issues

Body message

Contents of the body message can be dependant on the freight mode that you are quoting on.
At this moment, only Air freight, NFO, OBC, Road and Ocean quotes are supported. Some fields are specific to the freight mode.

The message body is constructed around 4 main object categories and 2 subcategories.
Each category is mandatory in the request, specific values are not.

Main object categories

Category parameterPurposeChild object
organizationShipment references, such as Shipment ID and provider teamnone
serviceDetails such as freight mode, quote title and other service characteristicsnone
financialGeneric financial detailscost_items, additional_cost_data
scheduleDetails such as expected pickup and delivery and quote validityflights (optional)

organization values

KeyTypePurposeAvailability
shipment_idSTRINGThe shipment ID (S12345678) you are quoting onMandatory
provider_teamSTRINGThe reference number (PT12345678) of the provider team associated with the quoteMandatory
quoted_bySTRINGE-mail address of the quotee - this has to be an activa Cargobase accountMandatory

Note You can only reference a provider team that is invited on this quote. The available teams are different per request. The 'provider_reference' list in the 'Service'-object in the Request Detail api response contains available teams for that shipment.

service values

KeyTypePurposeAvailability
freight_modeSTRINGThe freight mode associated with the quote - see values belowMandatory
max_weightFLOATThe maximum weight the Courier can travel withMandatory, OBC ONLY
max_weight_UOMSTRINGKG or LBS for the max_weight valueMandatory, OBC ONLY
max_dimensionFLOATThe maximum dimension of the Courier can travel withMandatory, Road Freight ONLY
max_dimension_UOMSTRINGmeter or feet for the max_dimension valueMandatory, Road Freight ONLY
road_freight_typeSTRINGFreight type for the courier, see below for the availale road freight typesMandatory, Road Freight ONLY
vessel_numberSTRINGVessel Number of the shipMandatory, Ocean Freight ONLY
vessel_infoJSONCan hold new vessel info like vessel_name, vessel_operator_carrier_code , carrier_voyage_number.Mandatory, Ocean Freight ONLY
chargeable_weightFLOATChargeable weight of air freight and NFO QuotesMandatory, for air freight & NFO
weight_UOMSTRINGKG or LBS for the chargeable_weight valueMandatory, for air freight & NFO
quote_titleSTRINGTitle of your quote, to distinguish in case of multiple quotesMandatory
primary_tracking_numberSTRINGYour internal reference, or future tracking numberMandatory
road_freight_type values
Road Freight modeAPI string
Full Truck Loadftl
Less than Truck Loadltl
Ground Expeditege
Specialized - Car haulers, flat-beds, dump truckspe
Multi stopmulti-stop
Multi dropmulti-drop
freight_mode values
Freight modeAPI stringComment
On board courier (OBC)OBCAvailable now
Next flight out (NFO)NFOAvailable now
Regular air freightRegular air freightAvailable now
Air charterCharter1.1+
Parceln.a.Will not be supported
Road freightRoad freightAvailable now
Ocean freightOcean freightAvailable now
Rail freightRail1.1+

financial values

KeyTypePurposeAvailability
quote_currencyISO 4217:2015 STRINGCurrency of all cost items in your quoteMandatory
not_includedSTRINGDescription of quote scope boundariesMandatory
cost_detailsOBJECTSpecific mandatory cost itemsMandatory
cost_details values
KeyTypePurposeAvailability
quoted_amountDECIMALOBC/Road/Ocean base feeMandatory, OBC/Road/Ocean ONLY
total_excess_costDECIMALOptional excess costOptional, OBC ONLY
air_freight_chargesDECIMALRegular Air and NFO per kg/lbs feeMandatory, for air freight & NFO
additional_cost_dataOBJECTOptional additional cost itemsOptional
additional_cost_data values
KeyTypePurposeAvailability
additional_cost_descriptionSTRINGDescription of additional cost itemConditional
additional_cost_item_amountDECIMALAmount of the additional cost itemConditional

Note Multiple additional cost items can be added - as dictionary objects within additional_cost_data

schedule values

KeyTypePurposeAvailability
expected_pickup_dateSTRINGExpected pickup date, format YYYY-MM-DDMandatory
expected_pickup_timeSTRINGExpected pickup time, format HH:MMMandatory
expected_stop1_dateSTRINGExpected delivery date, format YYYY-MM-DDMandatory
expected_stop1_timeSTRINGExpected delivery time, format HH:MMMandatory
quote_valid_until_dateSTRINGQuote validity date, format YYYY-MM-DDMandatory
quote_valid_until_timeSTRINGQuote validity time, format HH:MM
Note Time is in line with personal preferences - contact Support to request changes
Mandatory
vessel_departure_dateSTRINGVessel departure date, format YYYY-MM-DDMandatory Ocean Freight Only
vessel_arrival_dateSTRINGVessel arrival date, format YYYY-MM-DDMandatory Ocean Freight Only
flightsARRAY of OBJECTOne or more commercial flight details (optional)Optional
flights values

The flights object is an array of objects pertaining to commercial flights. The array is optional, but can contain 1 or more flights.
Since this is an array, ensure to enclose the individual flight objects in brackets, like this [{OBJECT}, {OBJECT}]

KeyTypePurposeAvailability
airline_codeSTRING2 Character IATA code of the airlineMandatory
flight_numberSTRINGNumber / reference of the flight, as a stringMandatory
departure_dateSTRINGDate as YYYY-MM-DDMandatory
departure_timeSTRINGTime as HH:MMMandatory
departure_airport_codeSTRINGIATA code of departure airportMandatory
arrival_dateSTRINGDate as YYYY-MM-DDMandatory
arrival_timeSTRINGTime as HH:MMMandatory
arrival_airport_codeSTRINGIATA code of arrival airportMandatory

Status codes

StatusDescriptionResolution
201CreatedYour quote has been posted
403ForbiddenCheck Authentication token

In case of a successful POST your response will contain the Quote reference number (QR12345678).

Language
Credentials
http
Response
Click Try It! to start a request and see the response here!